version: '2'
mpp-vars:
  name: gadget
  image_size: '3758096384'
pipelines:
- mpp-import-pipelines:
    path: include/build.ipp.yml
- name: rootfs
  build: name:build
  stages:
  - type: org.osbuild.kernel-cmdline
    options:
      root_fs_uuid:
        mpp-eval: rootfs_uuid
      kernel_opts:
        mpp-eval: ''' '' .join(kernel_opts)'
  - type: org.osbuild.rpm
    options:
      gpgkeys:
      - mpp-eval: distro_gpg_keys
      disable_dracut: true
      exclude:
        docs: true
    inputs:
      packages:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-depsolve:
          architecture: $arch
          ignore-weak-deps: true
          module-platform-id: $distro_module_id
          baseurl: $distro_baseurl_repo
          repos:
            mpp-join:
            - mpp-eval: image_repos
            - mpp-eval: image_devel_repos
            - mpp-eval: extra_repos
            - - id: osbuild
                baseurl: https://download.copr.fedorainfracloud.org/results/@osbuild/osbuild-stable/centos-stream-9-$arch
          packages:
            mpp-join:
            - mpp-eval: image_rpms
            - mpp-eval: extra_rpms
            - - "@Development Tools"
              - firewalld
              # Some convenience packages
              - bash-completion
              - dnf
              - emacs-nox
              - less
              - strace
              - sudo
              - vim
              - git
              - wget
              - make
              # Dependencies to build RPMs and images
              - rpm-build
              - hostname
              - openssl-devel
              - bc
              - binutils-devel
              - bpftool
              - clang
              - dwarves
              - gcc-plugin-devel
              - libcap-devel
              - libcap-ng-devel
              - libmnl-devel
              - llvm
              - net-tools
              - numactl-devel
              - osbuild-ostree
              - osbuild-tools
              - openssh-clients
              - openssh-server
              - perl-devel
              - python3-devel
              - python3-docutils
              - rsync
              - iputils
              - iproute
              - qemu-kvm
              - fuse-devel
              - kernel-rpm-macros
              # Container tools
              - podman
              - buildah
              - skopeo
              # Gadget
              - pi_gadget
          excludes:
          - dracut-config-rescue
  - type: org.osbuild.users
    options:
      users:
        guest:
          password:
            mpp-eval: guest_password
          gid:
            mpp-eval: guest_gid
          uid:
            mpp-eval: guest_uid
  - type: org.osbuild.firewall
    options:
      enabled_services:
        - cockpit
        - ssh
  - type: org.osbuild.sshd.config
    options:
      config:
        PermitRootLogin:
          mpp-eval: ssh_permit_root_login
  - type: org.osbuild.systemd
    options:
      enabled_services:
      - firewalld.service
      - sshd.service
      - cockpit.socket
- mpp-import-pipelines:
    path: include/image.ipp.yml
